package com.zeekling.solo.wechat.conf;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author zeekling [lingzhaohui@zeekling.cn]
 * @version 1.0
 * @apiNote
 * @since 2020-03-18
 */
@Component
public class WeChatConfigure {

    private String appId;

    private String secret;

    private String token;

    private String aesKey;

    private String menuFilePath;

    public String getAppId() {
        return appId;
    }

    @Value("${wx.mp.appId}")
    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getSecret() {
        return secret;
    }

    @Value("${wx.mp.secret}")
    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getToken() {
        return token;
    }
    @Value("${wx.mp.token}")
    public void setToken(String token) {
        this.token = token;
    }

    public String getAesKey() {
        return aesKey;
    }
    @Value("${wx.mp.aesKey}")
    public void setAesKey(String aesKey) {
        this.aesKey = aesKey;
    }

    public String getMenuFilePath() {
        return menuFilePath;
    }

    @Value("${menu.file_path}")
    public void setMenuFilePath(String menuFilePath) {
        this.menuFilePath = menuFilePath;
    }
}
